## libvsqlitepp 0.3.12

=== debian/changelog ===
libvsqlitepp (0.3.12-1ubuntu1) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

libvsqlitepp (0.3.12-1) unstable; urgency=low

  * Initial release (Closes: #712849).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 20 Jun 2013 18:29:52 +1000
