=== debian/control ===
Source: libvsqlitepp
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, perl, hardlink, symlinks
              ,doxygen
              ,libboost1.54-dev | libboost-dev
              ,libsqlite3-dev
Homepage: https://github.com/vinzenz/vsqlite--
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libvsqlitepp.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libvsqlitepp.git
Standards-Version: 3.9.4

Package: libvsqlitepp3
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SQLite3 Wrapper for C++
 VSQLite++ is a welldesigned and portable SQLite3 Wrapper for C++.

Package: libvsqlitepp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${plib} (= ${binary:Version})
Description: SQLite3 Wrapper for C++ -- development files
 VSQLite++ is a welldesigned and portable SQLite3 Wrapper for C++.
 .
 This package provides development files.

Package: libvsqlitepp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: SQLite3 Wrapper for C++ -- API documentation
 VSQLite++ is a welldesigned and portable SQLite3 Wrapper for C++.
 .
 This package provides API documentation.

#Package: libvsqlitepp-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Multi-Arch: same
#Depends: ${misc:Depends}, ${plib} (= ${binary:Version})
#Description: SQLite3 Wrapper for C++ -- debugging files
# VSQLite++ is a welldesigned and portable SQLite3 Wrapper for C++.
# .
# This package provides debugging information.
