## libvsqlitepp 0.3.13

=== debian/changelog ===
libvsqlitepp (0.3.13-4.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * debhelper-compat=13
  * debian/source/options: remove since redundant
  * d/rules:
     - do not parse d/changelog
     - dh_missing --list-missing for arch indep builds
  * d/watch:
     - version=5
     - fix parsing
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Apply multi-arch hints.
  * Remove former symlink /usr/share/doc/libvsqlitepp-dev in
    libvsqlitepp-dev.maintscript
  * Fix Homepage
  * Update long description using abstract from Homepage

 -- Andreas Tille <tille@debian.org>  Sun, 25 Jan 2026 15:52:06 +0100

libvsqlitepp (0.3.13-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 23:46:19 +0100

libvsqlitepp (0.3.13-4) unstable; urgency=medium

  * Modernisd Vcs URLs.
  * Standards-Version: 3.9.8.
  * Removed traces of -dbg package.
  * rules: override_dh_install --> override_dh_install-arch (Closes: #809119)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 13 Nov 2016 21:41:14 +1100

libvsqlitepp (0.3.13-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library package for g++5 ABI transition. (Closes: #791182)

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Aug 2015 11:30:02 +0200

libvsqlitepp (0.3.13-3) unstable; urgency=medium

  * Dropped obsolete "libboost1.53-dev" from Build-Depends (Closes: #749862).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 30 May 2014 21:57:54 +1000

libvsqlitepp (0.3.13-2) unstable; urgency=low

  * Dropped custom build flags "-Wl,-O1" to fix FTBFS in "mysql-workbench"
    (Closes: #747795).
  * Build with "+all" hardening.
  * Added "debian/gbp.conf".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 30 May 2014 04:16:05 +1000

libvsqlitepp (0.3.13-1) unstable; urgency=low

  * New upstream release [April 2014].
  * Standards to 3.9.5.
  * Build-Depends:
    + graphviz
  * Added lintian-override for "no-symbols-control-file".
  * Minor rules clean-up and improvements; better de-duplication.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 28 Apr 2014 10:14:00 +1000
