=== debian/control ===
Source: libvsqlitepp
Section: libs
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 13), perl, rdfind, symlinks
              ,doxygen
              ,graphviz
              ,libboost-dev
              ,libsqlite3-dev
Homepage: https://vsqlite.virtuosic-bytes.com/
Vcs-Browser: https://salsa.debian.org/debian/libvsqlitepp
Vcs-Git: https://salsa.debian.org/debian/libvsqlitepp.git
Standards-Version: 4.7.3

Package: libvsqlitepp3v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libvsqlitepp3
Replaces: libvsqlitepp3
Description: SQLite3 Wrapper for C++
 VSQLite++ wraps the SQLite C API with exception-safe RAII objects,
 connection pooling, JSON & FTS helpers, and batteries-included
 utilities so you can focus on your data.

Package: libvsqlitepp-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${plib} (= ${binary:Version})
Description: SQLite3 Wrapper for C++ -- development files
 VSQLite++ wraps the SQLite C API with exception-safe RAII objects,
 connection pooling, JSON & FTS helpers, and batteries-included
 utilities so you can focus on your data.
 .
 This package provides development files.
Multi-Arch: same

Package: libvsqlitepp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: SQLite3 Wrapper for C++ -- API documentation
 VSQLite++ wraps the SQLite C API with exception-safe RAII objects,
 connection pooling, JSON & FTS helpers, and batteries-included
 utilities so you can focus on your data.
 .
 This package provides API documentation.
