=== debian/watch ===
Version: 5

Template: Github
Owner: vinzenz
Project: vsqlite--
